angular.module("robware").service('temperatureService', ["$http", function($http) {
	this.getReadings = function() {
		return $http.get('/temperature/getreadings', {dontShowSpinner:true}).then(function(response) {
			return response.data;
		});
	};

	this.getCurrentTemperatureData = function() {
		return $http.get("/temperature/GetTemperatureData", {dontShowSpinner:true}).then(function(response) {
			return response.data;
		});
	}
}]);